uniform vec3 lightPos;
uniform int extrude;

void main(void) 
{
    if(extrude==1){
        	vec4 vert=gl_Vertex*gl_ModelViewMatrix;    	
        	vec4 light;
        	light.xyz=lightPos.xyz;
        	light.w=0;
        	light=vert-light;
        	light=normalize(light);
        	vert+=light*10000;
        	gl_Position=vert*gl_ProjectionMatrix;
        }
    else   
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}