uniform sampler2D texUnit0;
uniform int param;
uniform int TIME_FROM_INIT;
uniform int y_offset;
varying vec4 EyePos;

void main (void) 
{
	int wave=TIME_FROM_INIT;
    vec2 coord=gl_TexCoord[0].xy;
    if(y_offset==11)coord.x=coord.x+0.5+sin((EyePos.x)*80+(EyePos.y*30)+param*0.5)*coord.y*0.02;
    else coord.x=coord.x+sin((EyePos.x)*80+(EyePos.y*30)+param*0.5)*coord.y*0.02;
    if(coord.x<=0) coord.x=0.0001;
    if(coord.x>=1) coord.x=0.9999;
    
    coord.y=coord.y+cos((wave*0.025)+param*0.5+(EyePos.x*80))*0.0015;
    
    
    if(coord.y<0) coord.y=0;
    vec4 col={0.2,0.2,0.2,0.0};
    gl_FragColor = texture2D(texUnit0, coord)+gl_Color+col;
}
