#ifndef _SKYBOX
#define _SKYBOX

class Skybox{
      public:
             texture_t sky[5];
             int width,max,h;

             Skybox(){}

             Skybox(char *filename,int maxview,int m,int height){
                         width=maxview;
                         max=m;
                         h=height;
                         FILE *f;
                         f=fopen(filename,"rt");
                         fscanf(f,"SKY_UP: %s\nSKY1: %s\nSKY2: %s\nSKY3: %s\nSKY4: %s\n",&sky[0].name,&sky[1].name,&sky[2].name,&sky[3].name,&sky[4].name);
                         fclose(f);
                         sky[0]=LoadTexture(sky[0].name);//,false);
                         sky[1]=LoadTexture(sky[1].name);//,false);
                         sky[2]=LoadTexture(sky[2].name);//,false);
                         sky[3]=LoadTexture(sky[3].name);//,false);
                         sky[4]=LoadTexture(sky[4].name);//,false);
             }

             void draw(){
                         glColor3f(0.95,0.95,0.95);
                         glBindTex(sky[0]);
                         glBegin(GL_QUADS);
                            glTexVert(0,0,-width-max,1000*h,width+max);
                            glTexVert(1,0,width+2*max,1000*h,width+max);
                            glTexVert(1,1,2*max+width,1000*h,-width-2*max);
                            glTexVert(0,1,-width-max,1000*h,-width-2*max);
                         glEnd();
                         glColor3f(1,1,1);

                         glBindTex(sky[1]);
                         glBegin(GL_QUADS);
                            glTexVert(0.0,0.5,-width-max,-1000*h,width+max);
                            glTexVert(1,0.5,width+2*max,-1000*h,width+max);
                            glTexVert(1,1,width+2*max,1005*h,width+max);
                            glTexVert(0.0,1,-width-max,1005*h,width+max);
                         glEnd();

                         glBindTex(sky[2]);
                         glBegin(GL_QUADS);
                            glTexVert(0.0,0.5,width+2*max,-1000*h,width+max);
                            glTexVert(1,0.5,width+2*max,-1000*h,-width-2*max);
                            glTexVert(1,1,width+2*max,1005*h,-width-2*max);
                            glTexVert(0.0,1,width+2*max,1005*h,width+max);
                         glEnd();

                         glBindTex(sky[3]);
                         glBegin(GL_QUADS);
                            glTexVert(1,0.5,-width-max,-1000*h,-width-2*max);
                            glTexVert(0,0.5,width+2*max,-1000*h,-width-2*max);
                            glTexVert(0,1,width+2*max,1005*h,-width-2*max);
                            glTexVert(1.0,1,-width-max,1005*h,-width-2*max);
                         glEnd();

                         glBindTex(sky[4]);
                         glBegin(GL_QUADS);
                            glTexVert(1.0,0.5,-width-max,-1000*h,width+max);
                            glTexVert(0,0.5,-width-max,-1000*h,-width-2*max);
                            glTexVert(0,1,-width-max,1005*h,-width-2*max);
                            glTexVert(1.0,1,-width-max,1005*h,width+max);
                         glEnd();
                         /*
                         glBindTex(sky[3]);
                         glBegin(GL_QUADS);
                            glTexVert(0.0,0.5,-width-max,-1000*h,width+max);
                            glTexVert(1,0.5,width+2*max,-1000*h,width+max);
                            glTexVert(1,1,width+2*max,1005*h,width+max);
                            glTexVert(0.0,1,-width-max,1005*h,width+max);
                         glEnd();
                         */
                         glBindTex(sky[4]);
                         glBegin(GL_QUADS);
                            glTexVert(0.0,0.5,-width-max,-1000*h,width+max);
                            glTexVert(1,0.5,width+2*max,-1000*h,width+max);
                            glTexVert(1,1,width+2*max,1005*h,width+max);
                            glTexVert(0.0,1,-width-max,1005*h,width+max);
                         glEnd();
             }
};

#endif